/*****************************************************************************/
/* Copyright (c) 2005 Harry Butterworth IBM Corporation                      */
/*                                                                           */
/* This program is free software; you can redistribute it and/or modify it   */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation; either version 2 of the License, or (at your    */
/* option) any later version.                                                */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* You should have received a copy of the GNU General Public License along   */
/* with this program; if not, write to the Free Software Foundation, Inc.,   */
/* 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA                   */
/*                                                                           */
/*****************************************************************************/

#ifndef BLKBACK2_DEVICE_H
#define BLKBACK2_DEVICE_H

#include <asm-xen/xenbus2.h>
#include "blkback2_resource.h"

struct xenbus2_device *
blkback2_device_query_xb2dev(struct blkback2_device *device);

struct block_device *
blkback2_device_query_blkdev(struct blkback2_device *device);

void
blkback2_device_resource_completed_io(struct blkback2_device *device,
struct blkback2_resource *resource);

#endif
